NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::FillBuilder Class Reference

Represents an Area Fill feature
To create a new instance of this class, use NXOpen::Die::DieCollection::Fill

Created in NX4.0.0. More...

Inheritance diagram for NXOpen::Die::FillBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance of the area fill
Created in NX4.0.0. More...
 
bool CopyAndMirror ()
 Returns the copy and mirror setting of the area fill
Created in NX4.0.1. More...
 
double DistanceTolerance ()
 Returns the distance tolerance of the area fill
Created in NX4.0.0. More...
 
bool FillForAddendum ()
 Returns the fill for addendum setting of the area fill
Created in NX4.0.0. More...
 
std::vector< NXOpen::Body * > GetFillShape ()
 Gets the fill shape of the area fill. More...
 
std::vector< NXOpen::IProfile * > GetRegionBounds (NXOpen::Die::DirectionOption *direction)
 Gets the region bounds of the area fill. More...
 
NXOpen::ISurfaceMirrorPlane ()
 Returns the plane to mirror the area fill about
Created in NX4.0.1. More...
 
NXOpen::PointPointInRegion ()
 Returns the point in region of the area fill
Created in NX4.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance of the area fill
Created in NX4.0.0. More...
 
void SetCopyAndMirror (bool copyAndMirror)
 Sets the copy and mirror setting of the area fill
Created in NX4.0.1. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance of the area fill
Created in NX4.0.0. More...
 
void SetFillForAddendum (bool fillForAddendum)
 Sets the fill for addendum setting of the area fill
Created in NX4.0.0. More...
 
void SetFillShape (const std::vector< NXOpen::Body * > &bodies)
 Sets the fill shape of the area fill
Created in NX4.0.0. More...
 
void SetMirrorPlane (NXOpen::ISurface *mirrorPlane)
 Sets the plane to mirror the area fill about
Created in NX4.0.1. More...
 
void SetPointInRegion (NXOpen::Point *pointInRegion)
 Sets the point in region of the area fill
Created in NX4.0.0. More...
 
void SetRegionBounds (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the region bounds of the area fill
Created in NX4.0.0. More...
 
void SetTippedProduct (NXOpen::Features::Feature *tippedProduct)
 Sets the tipped product of the area fill
Created in NX4.0.0. More...
 
NXOpen::Features::FeatureTippedProduct ()
 Returns the tipped product of the area fill
Created in NX4.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents an Area Fill feature
To create a new instance of this class, use NXOpen::Die::DieCollection::Fill

Created in NX4.0.0.


Member Function Documentation

double NXOpen::Die::FillBuilder::AngleTolerance ( )

Returns the angle tolerance of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Die::FillBuilder::CopyAndMirror ( )

Returns the copy and mirror setting of the area fill
Created in NX4.0.1.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Die::FillBuilder::DistanceTolerance ( )

Returns the distance tolerance of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Die::FillBuilder::FillForAddendum ( )

Returns the fill for addendum setting of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

std::vector<NXOpen::Body *> NXOpen::Die::FillBuilder::GetFillShape ( )

Gets the fill shape of the area fill.

Returns
bodies
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXOpen::IProfile *> NXOpen::Die::FillBuilder::GetRegionBounds ( NXOpen::Die::DirectionOption direction)

Gets the region bounds of the area fill.

Returns
profile entries
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
Parameters
directionProfile direction
NXOpen::ISurface* NXOpen::Die::FillBuilder::MirrorPlane ( )

Returns the plane to mirror the area fill about
Created in NX4.0.1.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Die::FillBuilder::PointInRegion ( )

Returns the point in region of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Die::FillBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleToleranceangle tolerance
void NXOpen::Die::FillBuilder::SetCopyAndMirror ( bool  copyAndMirror)

Sets the copy and mirror setting of the area fill
Created in NX4.0.1.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
copyAndMirror= true - original sheet body will be copied in its current position and a copy will also be mirrored. the two sheet bodies will be sewn together on output = false - only mirrored copy will be produced
void NXOpen::Die::FillBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
distanceTolerancedistance tolerance
void NXOpen::Die::FillBuilder::SetFillForAddendum ( bool  fillForAddendum)

Sets the fill for addendum setting of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
fillForAddendum= true - area fill is for addendum and will be called DIE_ADDENDUM_FILL
void NXOpen::Die::FillBuilder::SetFillShape ( const std::vector< NXOpen::Body * > &  bodies)

Sets the fill shape of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
bodiesbodies
void NXOpen::Die::FillBuilder::SetMirrorPlane ( NXOpen::ISurface mirrorPlane)

Sets the plane to mirror the area fill about
Created in NX4.0.1.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
mirrorPlanemirror plane
void NXOpen::Die::FillBuilder::SetPointInRegion ( NXOpen::Point pointInRegion)

Sets the point in region of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
pointInRegionpoint in region
void NXOpen::Die::FillBuilder::SetRegionBounds ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the region bounds of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction
profileEntriesprofile entries
void NXOpen::Die::FillBuilder::SetTippedProduct ( NXOpen::Features::Feature tippedProduct)

Sets the tipped product of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
tippedProducttipped product
NXOpen::Features::Feature* NXOpen::Die::FillBuilder::TippedProduct ( )

Returns the tipped product of the area fill
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.